<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelModify StructType
 * @subpackage Structs
 */
class HotelModify extends AbstractStructBase
{
    /**
     * The HotelModifyRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelModify
     */
    public $HotelModifyRQ;
    /**
     * Constructor method for HotelModify
     * @uses HotelModify::setHotelModifyRQ()
     * @param \StructType\JP_HotelModify $hotelModifyRQ
     */
    public function __construct(\StructType\JP_HotelModify $hotelModifyRQ = null)
    {
        $this
            ->setHotelModifyRQ($hotelModifyRQ);
    }
    /**
     * Get HotelModifyRQ value
     * @return \StructType\JP_HotelModify|null
     */
    public function getHotelModifyRQ()
    {
        return $this->HotelModifyRQ;
    }
    /**
     * Set HotelModifyRQ value
     * @param \StructType\JP_HotelModify $hotelModifyRQ
     * @return \StructType\HotelModify
     */
    public function setHotelModifyRQ(\StructType\JP_HotelModify $hotelModifyRQ = null)
    {
        $this->HotelModifyRQ = $hotelModifyRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelModify
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
